#
# Online Forum Product
#
# (C) Copyright 1998,1999,2000,2001 The Internet (Aust) Pty Ltd
# ACN: 082 081 472  ABN: 83 082 081 472
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# Author: Andrew Milton <akm@theinternet.com.au>

import App, Globals, OFS
import string
from ImageFile import ImageFile
from Globals import DTMLFile

from Persistence import Persistent
from Globals import HTMLFile, HTML
from OFS.Folder import Folder

from Products.Squib.Forums.Forums import manage_addForum, manage_addForumForm, Forum, addForumForm, addForum


def manage_addForumSpringboard(self, id, title='', REQUEST={}):
	""" add a springboard """

	o = ForumSpringboard(id, title)
	self._setObject(id, o)

	if REQUEST:
		return self.manage_main(self, REQUEST)
	return ''

manage_addForumSpringboardForm=DTMLFile('manage_addForumSpringboardForm', globals())

def addCategory(self, id, title='', REQUEST={}):
	""" User version """
	o = ForumSpringboard(id, title)
	self._setObject(id, o)

	if REQUEST:
		return self.index_html(self, REQUEST)
	return ''
	
addCategoryForm=DTMLFile('addCategoryForm', globals())

class ForumSpringboard(Folder):
	""" foo """

	meta_type='Squib Forum Springboard'
	manage_addForum=manage_addForum
	manage_addForumForm=manage_addForumForm

	#
	# User versions
	#
	addForum=addForum
	addForumForm=addForumForm

	meta_types=all_meta_types=(({'name':Forum.meta_type,
								'action':'manage_addForumForm'},))

	index_html=DTMLFile('index_html', globals())
	forumSummaryLineItem=DTMLFile('forumSummaryLineItem', globals())
	configureCategoryForm=DTMLFile('configureCategoryForm', globals())
	
	def __init__(self, id, title):
		self.id=id
		self.title=title

	def getForums(self):
		""" Get a list of child Forums """
		return self.objectIds('Squib Forum')
	
	
	def getBreadCrumbTrail(self):
		return self.getBreadCrumbs(self.getPhysicalPath())

	def configureForumCategory(self, allowOverride=0, allowBBS=0,
							   bbMsg=[], allowBBSSig=0,
							   bbSig=[], REQUEST={}):

		""" Configure the Forum from here down """

		if(self.aq_parent.allowOverride):
			self.allowOverride=allowOverride
			self.allowBBS=allowBBS
			self.bbMsg=bbMsg
			self.allowBBSSig=allowBBSSig
			self.bbSig=bbSig

		if REQUEST:
			return self.index_html(self, REQUEST)
		return ''

	def isBBAllowed(self):
		""" Is BB Script allowed in messages? """
		return self.allowBBS

	def isBBSigAllowed(self):
		""" Is BB Script allowed in sigs? """
		return self.allowBBSSig

	def bbMsgFeatureAllowed(self, feature):
		""" Is a feature available? """
		return (feature in self.bbMsg)

	def bbSigFeatureAllowed(self, feature):
		""" Is a feature allowed in sigs? """
		return (feature in self.bbSig)
