--
-- Selected TOC Entries:
--
--
-- TOC Entry ID 2 (OID 49681)
--
-- Name: forums_forumkey_seq Type: SEQUENCE Owner: akm
--

CREATE SEQUENCE "forums_forumkey_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;

--
-- TOC Entry ID 5 (OID 49700)
--
-- Name: forums Type: TABLE Owner: akm
--

CREATE TABLE "forums" (
	"forumkey" integer DEFAULT nextval('"forums_forumkey_seq"'::text) NOT NULL,
	"forumid" character varying(64) NOT NULL,
	"title" character varying(255),
	"moderator" character varying(32) NOT NULL,
	Constraint "forums_pkey" Primary Key ("forumkey")
);

--
-- TOC Entry ID 3 (OID 49717)
--
-- Name: topics_topickey_seq Type: SEQUENCE Owner: akm
--

CREATE SEQUENCE "topics_topickey_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;

--
-- TOC Entry ID 6 (OID 49736)
--
-- Name: topics Type: TABLE Owner: akm
--

CREATE TABLE "topics" (
	"topickey" integer DEFAULT nextval('"topics_topickey_seq"'::text) NOT NULL,
	"forumid" character varying(64) NOT NULL,
	"topicid" character varying(64) NOT NULL,
	"title" character varying(255) NOT NULL,
	"owner" character varying(32) NOT NULL,
	Constraint "topics_pkey" Primary Key ("topickey")
);

--
-- TOC Entry ID 4 (OID 49813)
--
-- Name: postings_postingkey_seq Type: SEQUENCE Owner: akm
--

CREATE SEQUENCE "postings_postingkey_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;

--
-- TOC Entry ID 7 (OID 49832)
--
-- Name: postings Type: TABLE Owner: akm
--

CREATE TABLE "postings" (
	"postingkey" integer DEFAULT nextval('"postings_postingkey_seq"'::text) NOT NULL,
	"forumid" character varying(64) NOT NULL,
	"topicid" character varying(64) NOT NULL,
	"title" character varying(255) NOT NULL,
	"body" text NOT NULL,
	"poster" character varying(32) NOT NULL,
	"postedon" timestamp with time zone DEFAULT now() NOT NULL,
	"inreplyto" integer,
	"icon" character varying(64),
	"lastpostdate" timestamp with time zone,
	"replycount" integer,
	"viewcount" integer,
	"editor" character varying(32),
	"editdate" timestamp with time zone,
	"signature" character varying(256),
	Constraint "postings_pkey" Primary Key ("postingkey")
);

--
-- TOC Entry ID 8 (OID 49870)
--
-- Name: "RI_ConstraintTrigger_49869" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER INSERT OR UPDATE ON "postings"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('<unnamed>', 'postings', 'postings', 'UNSPECIFIED', 'inreplyto', 'postingkey');

--
-- TOC Entry ID 9 (OID 49872)
--
-- Name: "RI_ConstraintTrigger_49871" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "postings"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_del" ('<unnamed>', 'postings', 'postings', 'UNSPECIFIED', 'inreplyto', 'postingkey');

--
-- TOC Entry ID 10 (OID 49874)
--
-- Name: "RI_ConstraintTrigger_49873" Type: TRIGGER Owner: akm
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "postings"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_noaction_upd" ('<unnamed>', 'postings', 'postings', 'UNSPECIFIED', 'inreplyto', 'postingkey');

